Package com.xmlmind.w2x.processor

## Class ParseStylesCmd

- java.lang.Object
- - com.xmlmind.xml.xed.Command
  - - com.xmlmind.w2x.processor.ParseStylesCmd

-     public final class ParseStylesCmd
      extends Command

- - ### Field Summary

    - ### Fields inherited from class com.xmlmind.xml.xed.Command

      `CONTEXT_NODE, NULL_VALUE, VAR_ARGS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParseStylesCmd()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(Document doc, Console console)` |
    `void` | `executeCommand​(Object[] arguments, XNode contextNode, ExprContext context, Script script, Console console)` |
    `static List<String>` | `getClassProperty​(Element element)` |
    `static com.xmlmind.w2x.processor.CSSRules` | `getRulesProperty​(XNode node)` |
    `static LinearHashtable<String,​String>` | `getStyleProperty​(Element element)` |
    `static List<String>` | `newClassProperty​(Element element)` |
    `static com.xmlmind.w2x.processor.CSSRules` | `newRulesProperty​(XNode node)` |
    `static LinearHashtable<String,​String>` | `newStyleProperty​(Element element)` |
    `static List<String>` | `removeClassProperty​(Element element)` |
    `static com.xmlmind.w2x.processor.CSSRules` | `removeRulesProperty​(XNode node)` |
    `static LinearHashtable<String,​String>` | `removeStyleProperty​(Element element)` |

    - ### Methods inherited from class com.xmlmind.xml.xed.Command

      `illegalArgument, parseArguments`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseStylesCmd

          public ParseStylesCmd()

  - ### Method Detail

    - #### executeCommand

          public void executeCommand​(Object[] arguments,
                                     XNode contextNode,
                                     ExprContext context,
                                     Script script,
                                     Console console)
                              throws Exception

      Specified by:
        `executeCommand` in class `Command`
      Throws:
        `Exception`

    - #### execute

          public void execute​(Document doc,
                              Console console)
                       throws Exception

      Throws:
        `Exception`

    - #### newRulesProperty

          public static com.xmlmind.w2x.processor.CSSRules newRulesProperty​(XNode node)

    - #### getRulesProperty

          public static com.xmlmind.w2x.processor.CSSRules getRulesProperty​(XNode node)

    - #### removeRulesProperty

          public static com.xmlmind.w2x.processor.CSSRules removeRulesProperty​(XNode node)

    - #### newStyleProperty

          public static LinearHashtable<String,​String> newStyleProperty​(Element element)

    - #### getStyleProperty

          public static LinearHashtable<String,​String> getStyleProperty​(Element element)

    - #### removeStyleProperty

          public static LinearHashtable<String,​String> removeStyleProperty​(Element element)

    - #### newClassProperty

          public static List<String> newClassProperty​(Element element)

    - #### getClassProperty

          public static List<String> getClassProperty​(Element element)

    - #### removeClassProperty

          public static List<String> removeClassProperty​(Element element)